Create a run
The server resolves all components (with environment overrides applied), builds the dependency DAG, and begins rendering and executing revisions.
Concurrency: only one run can be active per application+environment at a time. If a run is already in an active state (PENDING, QUEUED, PLANNING, PLANNED, or APPLYING), the new run is queued and will start automatically when the current run completes or is canceled.
Scope: run:write
Authorization
bearerAuth Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
CreateRunRequest triggers a new run.
Response Body
application/json
curl -X POST "https://example.com/v1/runs" \ -H "Content-Type: application/json" \ -d '{ "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4" }'{ "run": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "application_id": "48ac72d0-a829-4896-a067-dcb1c2b0f30c", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "status": "RUN_STATUS_UNSPECIFIED", "triggered_by": { "id": "string", "display_name": "string", "email": "string" }, "message": "string", "source_run_id": "string", "change_set_id": "string", "revision_summary": { "total": 0, "succeeded": 0, "failed": 0, "blocked": 0, "running": 0, "canceled": 0, "pending": 0 }, "completed_at": "2023-01-15T01:30:15.01Z", "display_id": "string", "application_name": "string", "environment_name": "string", "change_set_display_id": "string", "change_set_title": "string", "created_at": "2023-01-15T01:30:15.01Z" }}